# ecto-cookbook

Installs, configures, and provides LWRPs for components of [Ecto](github.com/elixir-lang/ecto)

## Supported Platforms

* Ubuntu

## Usage

Include `ecto` in your node's `run_list`:

```json
{
  "run_list": [
    "recipe[ecto::default]"
  ]
}
```

### Runing migrations

First include `ecto::default` or `ecto::migrator` in your recipe

```ruby
include_recipe "ecto::migrator"
```

Then leverage the `ecto_migrate` LWRP to run the Ecto migrations found at the given path

```ruby
ecto_migrate "my_database" do
  username "my_username"
  password "secure_password"
  host "localhost"
  migrations_path "/path/to/migrations"
  schema "public"
end
```

## Recipes

### ecto::default

Installs and configures default components for Ecto

### ecto::migrator

Installs and symlinks the [`migrator`](https://github.com/reset/migrator) binary to `/usr/local/bin/migrator`

## License and Authors

Author:: Jamie Winsor (<jamie@vialstudios.com>)
