#
# Cookbook Name:: ecto
# Resource:: migrate
#
# Copyright (C) 2014-2015 Jamie Winsor
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

actions :run
default_action :run

attribute :database, name_attribute: :true, required: true, kind_of: String
attribute :username, required: true, kind_of: String
attribute :password, kind_of: String
attribute :host, default: "localhost", kind_of: String
attribute :port, default: 5432, kind_of: Integer
attribute :migrations_path, required: true, kind_of: String
attribute :schema, default: "public", kind_of: String
attribute :environment, default: Hash.new, kind_of: Hash

def connection_string
  str = "ecto://#{username}"
  str += ":#{password}" unless password.nil?
  str += "@#{host}:#{port}/#{database}"
  str
end
